image: "cloudbees/java-with-docker-client"
services:
  - "docker:dind"

variables:
  GET_SOURCES_ATTEMPTS: 2
  DOCKER_HOST: "tcp://docker:2375/"

test:
  except:
    - "/^v?(\\d+\\.){2}\\d+(-.*)?$/"
  script:
    - ./gradlew packageDistribution check -Pversion=${CI_COMMIT_SHORT_SHA}
  artifacts:
    paths:
      - "build/dist/*.tar"
    expire_in: "1 week"


test-and-publish:
  only:
    - "/^v?(\\d+\\.){2}\\d+(-.*)?$/"
  script:
    - VERSION=$(echo ${CI_COMMIT_TAG} | cut -c 2-)
    - echo "Building version ${VERSION}"
    - ./gradlew packageDistribution check -Pversion=${VERSION}
  artifacts:
    paths:
      - "build/dist/*.tar"
